opennlp.tools.chunker

## Class DefaultChunkerSequenceValidator

- java.lang.Object
- - opennlp.tools.chunker.DefaultChunkerSequenceValidator

- All Implemented Interfaces:
    SequenceValidator<TokenTag>

      public class DefaultChunkerSequenceValidator
      extends Object
      implements SequenceValidator<TokenTag>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultChunkerSequenceValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validSequence(int i, TokenTag[] sequence, String[] s, String outcome)` Determines whether a particular continuation of a sequence is valid.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultChunkerSequenceValidator

          public DefaultChunkerSequenceValidator()

  - ### Method Detail

    - #### validSequence

          public boolean validSequence(int i,
                                       TokenTag[] sequence,
                                       String[] s,
                                       String outcome)

      Description copied from interface: `SequenceValidator`
      Determines whether a particular continuation of a sequence is valid. This is used to restrict invalid sequences such as those used in start/continue tag-based chunking or could be used to implement tag dictionary restrictions.
      Specified by:
        `validSequence` in interface `SequenceValidator<TokenTag>`
      Parameters:
        `i` - The index in the input sequence for which the new outcome is being proposed.
        `sequence` - The input sequence.
        `s` - The outcomes so far in this sequence.
        `outcome` - The next proposed outcome for the outcomes sequence.
      Returns:
        true is the sequence would still be valid with the new outcome, false otherwise.

Copyright © 2026 The Apache Software Foundation. All rights reserved.